Bio::Restriction::IO(3)

NAME
Bio::Restriction::IO - Handler for sequence variation IO Formats

SYNOPSIS
    use Bio::Restriction::IO;

    $in  = Bio::Restriction::IO->new(-file => "inputfilename" ,
                                     -format => 'withrefm');
    $out = Bio::Restriction::IO->new(-file => ">outputfilename" ,
                                     -format => 'bairoch');
    my $res = $in->read; # a Bio::Restriction::EnzymeCollection
    $out->write($res);

  # or

  #    use Bio::Restriction::IO;
  #
  #    #input file format can be read from the file extension (dat|xml)
  #    $in  = Bio::Restriction::IO->newFh(-file => "inputfilename");
  #    $out = Bio::Restriction::IO->newFh('-format' => 'xml');
  #
  #    # World's shortest flat<->xml format converter:
  #    print $out $_ while <$in>;

DESCRIPTION
Bio::Restriction::IO is a handler module for the formats in the Restriction IO set (eg, Bio::Restriction::IO::XXX). It is the officially sanctioned way of getting at the format objects, which most people should use.

The structure, conventions and most of the code is inherited from Bio::SeqIO module. The main difference is that instead of using methods next_seq and write_seq, you drop '_seq' from the method names.

Also, instead of dealing only with individual Bio::Restriction::Enzyme objects, write() will go through all enzymes from a Bio::Restriction::EnzymeCollection objects and read() will slurp in all enzymes into a Collection.

For more details, see documentation in Bio::SeqIO.

TO DO
This inherits from SeqIOfor convinience sake. Get rid of it by copying relevant methods in. Bio::SeqIO has too many sequence IO specific tweeks in it.

SEE ALSO
Bio::SeqIO, Bio::Restriction::Enzyme, Bio::Restriction::EnzymeCollection

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing lists Your participation is much appreciated.

  bioperl-l@bioperl.org                     - General discussion
  http://bio.perl.org/MailList.html         - About the mailing lists

  Reporting Bugs
report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution. Bug reports can be submitted via
 email or the web:

  bioperl-bugs@bio.perl.org
  http://bugzilla.bioperl.org/

AUTHOR
Rob Edwards, redwards@utmem.edu

CONTRIBUTORS
Heikki Lehvaslaiho, heikki@ebi.ac.uk

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : $stream = Bio::Restriction::IO->new(-file => $filename,
                                               -format => 'Format')
 Function: Returns a new seqstream
 Returns : A Bio::Restriction::IO::Handler initialised with
           the appropriate format
 Args    : -file => $filename
           -format => format
           -fh => filehandle to attach to

  read
 Title   : read
 Usage   : $renzs = $stream->read
 Function: reads all the restrction enzymes from the stream
 Returns : a Bio::Restriction::EnzymeCollection object
 Args    :

  write
 Title   : write
 Usage   : $stream->write($seq)
 Function: writes the $seq object into the stream
 Returns : 1 for success and 0 for error
 Args    : Bio::Restriction::EnzymeCOllection object

  _guess_format
 Title   : _guess_format
 Usage   : $obj->_guess_format($filename)
 Function:
 Example :
 Returns : guessed format of filename (lower case)
 Args    :